Bug 606763 - Old smolt configuration file still listed
Old smolt configuration file still listed
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-22 08:41 EDT by Michel Alexandre Salim
Modified: 2010-09-19 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-19 12:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2010-06-22 08:41:02 EDT
Description of problem:
The smolt RPM owns (as a ghost file) %{_sysconfigdir}/sysconfig/hw-uuid -- but this file is never created. From looking at

/usr/share/smolt/client/sendProfile.py

it is evident that the actual file used is now /etc/smolt/hw-uuid.pub

Version-Release number of selected component (if applicable):
smolt-1.4.2.2-1.fc13.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run smoltSendProfile as root
2. ls /etc/sysconfig/hw-uuid
3. rpm -ql smolt | grep etc
  
Actual results:
#2 not found, but listed in #3

Expected results:
/etc/sysconfig/hw-uuid should not be claimed by the smolt package anymore.

Additional info:
Comment 1 Mike Fleetwood 2010-09-19 07:07:53 EDT
Suggested fix to RPM spec file.

--- smolt.spec.orig	2010-01-28 17:43:40.000000000 +0000
+++ smolt.spec	2010-09-19 12:02:11.777100447 +0100
@@ -189,7 +189,7 @@
 %{_sysconfdir}/cron.d/%{name}
 %{_mandir}/man1/*gz
 %{_initrddir}/%{name}
-%ghost %config(noreplace) %{_sysconfdir}/sysconfig/hw-uuid
+%ghost %config(noreplace) %{_sysconfdir}/%{name}/hw-uuid
 
 %files server
 %defattr(-,root,root,-)
Comment 2 Mike McGrath 2010-09-19 12:57:05 EDT
Thanks, I've just committed this to the repo but I don't think a rebuild/update is warranted enough just for this, but it'll go out the next time we build and push.  I'm hoping to have a bulk of other changes fairly soon.

Note You need to log in before you can comment on or make changes to this bug.